Skip to main content
GET
List companies

Authorizations

X-Initdesk-Token
string
header
required

Path Parameters

organization_id
string
required

Organization ID or public ID. A numeric value is the organization id. Any other value is the public id and ignores letter case.

Pattern: ^[-a-zA-Z0-9_]+$

Query Parameters

domain
string

Return companies that include this email domain. The match is exact and ignores letter case.

ordering
string

Sort field: name, created_at, or updated_at. Prefix with '-' for descending order.

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Case-insensitive match on company name. Accents ignored.

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"